%define name abcde
%define version 2.0.3
%define release 3mdk
Summary:	Command-line utility to rip and encode audio cds
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://frantica.lly.org/~rcw
Group:		Sound
Source0:	%{URL}/%{name}/%{name}_%{version}.orig.tar.bz2
Source1:	%{URL}/id3/id3_0.12.orig.tar.bz2
Source2:	%{URL}/cd-discid/cd-discid_0.7.orig.tar.bz2
Patch0:		patch-%{name}.bz2
Patch1:		patch-%{name}_conf.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cdparanoia wget

%description

abcde is a front end command-line utility  (actually,  a  shell  script)
that grabs tracks off a CD, encodes them to ogg or mp3 format, and  tags
and names them with data from a CDDB server, all in one go.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -b1
%setup -q -b2 -D
%patch0 -p0 -b .orig
%patch1 -p0 -b .orig
# The OpenBSD portmaintainer didn't want to edit his patches for me.
perl -pi -e 's#cd0c#cdrom#g' abcde.conf
perl -pi -e 's#cd0c#cdrom#g' abcde


%build
cd ../id3-0.12
make
strip id3
cd ../cd-discid-0.7
cc cd-discid.c -o cd-discid
strip cd-discid


%install
install -D -m755 %{name}	$RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m644 %{name}.1	$RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

install -D -m755 cddb-tool	$RPM_BUILD_ROOT%{_bindir}/cddb-tool
install -D -m644 cddb-tool.1	$RPM_BUILD_ROOT%{_mandir}/man1/cddb-tool.1

install -D -m644 %{name}.conf	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

cd ../id3-0.12
install -D -m755 id3		$RPM_BUILD_ROOT%{_bindir}/id3
install -D -m644 id3.1		$RPM_BUILD_ROOT%{_mandir}/man1/id3.1

cd ../cd-discid-0.7
install -D -m755 cd-discid	$RPM_BUILD_ROOT%{_bindir}/cd-discid
install -D -m644 cd-discid.1	$RPM_BUILD_ROOT%{_mandir}/man1/cd-discid.1



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc changelog README TODO
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 2.0.3-3mdk
- rebuild because of new rpm macros and new glibc

* Tue Aug 20 2002 Han Boetes <han@linux-mandrake.com> 2.0.3-2mdk
- Forgot to include cd-discid; Thanks Rolf.

* Tue Aug  6 2002 Han Boetes <han@mijncomputer.nl> 2.0.3-1mdk
- First spec for mandrake.

